libzypp: zyppng::RepoManagerWorkflow Namespace Reference

libzypp 17.38.8

zyppng::RepoManagerWorkflow Namespace Reference

## Functions
MaybeAwaitable< expected< zypp::repo::RepoType > > | probeRepoType (ContextRef ctx, Provide::LazyMediaHandle medium, zypp::Pathname path, std::optional< zypp::Pathname > targetPath)
MaybeAwaitable< expected< zypp::repo::RepoType > > | probeRepoType (ContextRef ctx, RepoInfo repo, std::optional< zypp::Pathname > targetPath)
MaybeAwaitable< expected< std::list< RepoInfo > > > | readRepoFile (ContextRef ctx, zypp::Url repoFileUrl)
MaybeAwaitable< expected< repo::RefreshCheckStatus > > | checkIfToRefreshMetadata (repo::RefreshContextRef refCtx, LazyMediaHandle< Provide > medium, ProgressObserverRef progressObserver)
MaybeAwaitable< expected< repo::RefreshContextRef > > | refreshMetadata (repo::RefreshContextRef refCtx, LazyMediaHandle< Provide > medium, ProgressObserverRef progressObserver)
MaybeAwaitable< expected< repo::RefreshContextRef > > | refreshMetadata (repo::RefreshContextRef refCtx, ProgressObserverRef progressObserver)
MaybeAwaitable< expected< repo::RefreshContextRef > > | buildCache (repo::RefreshContextRef refCtx, zypp::RepoManagerFlags::CacheBuildPolicy policy, ProgressObserverRef progressObserver)
MaybeAwaitable< expected< RepoInfo > > | addRepository (RepoManagerRef mgr, RepoInfo info, ProgressObserverRef myProgress, const zypp::TriBool &forcedProbe)
MaybeAwaitable< expected< void > > | addRepositories (RepoManagerRef mgr, zypp::Url url, ProgressObserverRef myProgress)
MaybeAwaitable< expected< void > > | refreshGeoIPData (ContextRef ctx, RepoInfo::url_set urls)
MaybeAwaitable< expected< void > > | refreshGeoIPData (ContextRef ctx, zypp::MirroredOriginSet origins)
MaybeAwaitable< expected< zypp::repo::RepoType > > | probeRepoType (ContextRef ctx, LazyMediaHandle< Provide > medium, zypp::Pathname path, std::optional< zypp::Pathname > targetPath={})

## Function Documentation

## ◆ probeRepoType() [1/3]

MaybeAwaitable< expected< zypp::repo::RepoType > > zyppng::RepoManagerWorkflow::probeRepoType | ( | ContextRef | ctx,
|  | Provide::LazyMediaHandle | medium,
|  | zypp::Pathname | path,
|  | std::optional< zypp::Pathname > | targetPath )

Definition at line 188 of file repomanagerwf.cc.

## ◆ probeRepoType() [2/3]

MaybeAwaitable< expected< zypp::repo::RepoType > > zyppng::RepoManagerWorkflow::probeRepoType | ( | ContextRef | ctx,
|  | RepoInfo | repo,
|  | std::optional< zypp::Pathname > | targetPath )

Definition at line 194 of file repomanagerwf.cc.

## ◆ readRepoFile()

MaybeAwaitable< expected< std::list< RepoInfo > > > zyppng::RepoManagerWorkflow::readRepoFile | ( | ContextRef | ctx,
|  | zypp::Url | repoFileUrl )

Definition at line 215 of file repomanagerwf.cc.

## ◆ checkIfToRefreshMetadata()

MaybeAwaitable< expected< repo::RefreshCheckStatus > > zyppng::RepoManagerWorkflow::checkIfToRefreshMetadata | ( | repo::RefreshContextRef | refCtx,
|  | LazyMediaHandle< Provide > | medium,
|  | ProgressObserverRef | progressObserver )

Definition at line 337 of file repomanagerwf.cc.

## ◆ refreshMetadata() [1/2]

MaybeAwaitable< expected< repo::RefreshContextRef > > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::RefreshContextRef | refCtx,
|  | LazyMediaHandle< Provide > | medium,
|  | ProgressObserverRef | progressObserver )

Definition at line 437 of file repomanagerwf.cc.

## ◆ refreshMetadata() [2/2]

MaybeAwaitable< expected< repo::RefreshContextRef > > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::RefreshContextRef | refCtx,
|  | ProgressObserverRef | progressObserver )

Definition at line 508 of file repomanagerwf.cc.

## ◆ buildCache()

MaybeAwaitable< expected< repo::RefreshContextRef > > zyppng::RepoManagerWorkflow::buildCache | ( | repo::RefreshContextRef | refCtx,
|  | zypp::RepoManagerFlags::CacheBuildPolicy | policy,
|  | ProgressObserverRef | progressObserver )

Definition at line 834 of file repomanagerwf.cc.

## ◆ addRepository()

MaybeAwaitable< expected< RepoInfo > > zyppng::RepoManagerWorkflow::addRepository | ( | RepoManagerRef | mgr,
|  | RepoInfo | info,
|  | ProgressObserverRef | myProgress,
|  | const zypp::TriBool & | forcedProbe )

Definition at line 906 of file repomanagerwf.cc.

## ◆ addRepositories()

MaybeAwaitable< expected< void > > zyppng::RepoManagerWorkflow::addRepositories | ( | RepoManagerRef | mgr,
|  | zypp::Url | url,
|  | ProgressObserverRef | myProgress )

Definition at line 1000 of file repomanagerwf.cc.

## ◆ refreshGeoIPData() [1/2]

MaybeAwaitable< expected< void > > zyppng::RepoManagerWorkflow::refreshGeoIPData | ( | ContextRef | ctx,
|  | RepoInfo::url_set | urls )

Definition at line 1167 of file repomanagerwf.cc.

## ◆ refreshGeoIPData() [2/2]

MaybeAwaitable< expected< void > > zyppng::RepoManagerWorkflow::refreshGeoIPData | ( | ContextRef | ctx,
|  | zypp::MirroredOriginSet | origins )

Definition at line 1173 of file repomanagerwf.cc.

## ◆ probeRepoType() [3/3]

MaybeAwaitable< expected< zypp::repo::RepoType > > zyppng::RepoManagerWorkflow::probeRepoType | ( | ContextRef | ctx,
|  | LazyMediaHandle< Provide > | medium,
|  | zypp::Pathname | path,
|  | std::optional< zypp::Pathname > | targetPath = {} )